GETACINFO(3)

NAME
getacinfo, getacdir, getacflg, getacmin, setac, endac - get audit control file information

SYNOPSIS

int getacdir(dir, len)
char *dir;
int len;

int getacmin(min_val)
int *min_val;

int getacflg(auditstring, len)
char *auditstring;
int len;

void setac()

void endac()

DESCRIPTION

When first called, getacdir() provides information about the first audit directory in the audit_control file; thereafter, it returns the next directory in the file. Successive calls list all the directories listed in audit_control(5) The parameter len specifies the length of the buffer dir . On return, dir points to the directory entry.

getacmin() reads the minimum value from the audit_control file and returns the value in min_val. The minimum value specifies how full the file system to which the audit files are being written can get before the script audit_warn is invoked.

getacflg() reads the system audit value from the audit_control file and returns the value in auditstring. The parameter len specifies the length of the buffer auditstring.

Calling setac rewinds the audit_control file to allow repeated searches.

Calling endac closes the audit_control file when processing is complete.

RETURN VALUES

getacdir(), getacflg() and getacmin() return:

0   on success.

-2  on failure and set errno to indicate the error.

getacmin() and getacflg() return:

1   on EOF.

getacdir() returns:

-1  on EOF.

2   if the directory search had to start from the beginning because one of the other functions was called between calls to getacdir().

These functions return:

-3  if the directory entry format in the audit_control file is incorrect.

getacdir() and getacflg() return:

-3  if the input buffer is too short to accommodate the record.

SEE ALSO
audit_control(5)